$AdfDhtmlInputRangeSliderPeer$$.$_SUB_ID_MAP$ = {thumb2:"thumb2"};
$AdfDhtmlInputRangeSliderPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlInputRangeSliderPeer$$$$$GetSubIdDomElement$$($subElementId$$22$$) {
  var $component$$1823$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$22$$, $AdfDhtmlInputRangeSliderPeer$$.$_SUB_ID_MAP$, $component$$1823$$, this, $AdfDhtmlInputRangeSliderPeer$$)
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputRangeSliderPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlInputRangeSliderPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlInputRangeSliderPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlInputRangeSliderPeer$$$$$GetBestMatchSubId$$($domElement$$563$$) {
  var $subId$$43$$ = $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$563$$, this, $AdfDhtmlInputRangeSliderPeer$$.$_SUB_ID_MAP$);
  $subId$$43$$ || ($subId$$43$$ = $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$563$$, this, $AdfDhtmlInputRangeSliderPeer$$.$_SUB_ID_MAP$, $AdfDhtmlInputRangeSliderPeer$$));
  return $subId$$43$$
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputRangeSliderPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlInputRangeSliderPeer$$.prototype.$GetBestMatchSubId$});
